Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005035 [JEDI VCL] 00 JVCL Components major always 2009-11-24 07:20 2011-06-10 16:10
Reporter LastRomantic View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005035: TJvFormStorage not restore TPageControl.ActivePage
Description TJvFormStorage raises exception "Then component named "xxx" already exists"
Additional Information
Tags No tags attached.
Attached Files zip file icon store error.zip [^] (11,571 bytes) 2009-11-24 07:20

- Relationships

-  Notes
(0016945)
obones (administrator)
2009-12-04 15:27

Thanks for this, we will review it
(0017026)
jfudickar (developer)
2009-12-26 22:33

I've changed the handling of the TJvPropertyStorage.ReadProperty and TJvPropertyStorage.WriteProperty procedures. Now component properties are no longer stored with all the properties. only the name is stored. When reading the stored name the component is searched in the list of all components.

Someone else should have a look on this changes.

The change is commited to svn with revision 12625.
(0017027)
jfudickar (developer)
2009-12-26 22:34

Please verify my changes
(0017031)
obones (administrator)
2009-12-28 16:36

They look fine, except for this test:

        if Assigned(SearchOwner.Owner) then
          SearchOwner := SearchOwner.Owner
        else
          SearchOwner := nil;


It is useless as if SearchOwner.Owner is not Assigned, hence nil, you assign nil to SearchOwner.
This could thus be simplified as this:

        SearchOwner := SearchOwner.Owner

I'll let you do the change, unless you want me to do it

Regards
Olivier
(0017042)
jfudickar (developer)
2009-12-29 10:17

Done

- Issue History
Date Modified Username Field Change
2009-11-24 07:20 LastRomantic New Issue
2009-11-24 07:20 LastRomantic File Added: store error.zip
2009-12-04 15:27 obones Note Added: 0016945
2009-12-04 15:27 obones Status new => acknowledged
2009-12-26 22:33 jfudickar Assigned To => jfudickar
2009-12-26 22:33 jfudickar Note Added: 0017026
2009-12-26 22:34 jfudickar Note Added: 0017027
2009-12-26 22:34 jfudickar Status acknowledged => feedback
2009-12-28 16:36 obones Note Added: 0017031
2009-12-29 10:17 jfudickar Note Added: 0017042
2010-06-07 13:54 obones Status feedback => resolved
2010-06-07 13:54 obones Fixed in Version => Daily / SVN
2010-06-07 13:54 obones Resolution open => fixed
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker